## i3wm-config
This repository saves the custom configuration used by heckyel in i3wm

[![license](https://img.shields.io/badge/license-GPLv3+-blue.svg)](https://www.gnu.org/licenses/gpl-3.0.txt)

## Screenshot

![screen](https://archive.org/download/libreweb/screen.png?raw=true "Image for i3wm-config")

### Requeriments

- acpi
- conky
- dmenu
- dunst
- feh
- i3-wm
- i3blocks
- i3lock
- network-manager-applet
- nitrogen
- playerctl
- ranger
- rofi
- scrot
- termite
- thunar
- tumbler
- xfce4-terminal

### Optional

- lxappearance
- ttf-font-awesome

### Install requeriments

    pacman -Syy i3-wm i3blocks i3lock dmenu rofi termite dunst conky playerctl acpi network-manager-applet scrot xfce4-terminal thunar tumbler feh ranger

### Installed optional

    pacman -Syy lxappearance nitrogen

### Config

    cd ~/.config/i3/

    git clone https://libregit.org/heckyel/i3-config.git .

### Conky

    cp -v ~/.config/i3/tmp/conky.conf ~/.config/conky/

### Icons

    pacman -S ttf-font-awesome

### keyboard shortcuts


| keyboard shortcut   | = | Description                                |
|-------------------  |-- |------------------------------------------- |
| mod + Enter         | = | Terminal                                   |
| mod + 1 - 0         | = | Switch between workspaces from 1 to 0      |
| mod + d             | = | Menu                                       |
| mod + a             | = | Select all tiled windows                   |
| mod + s             | = | Windows in order of batteries              |
| mod + w             | = | Windows in order of tables                 |
| mod + e             | = | Move windows in order of division          |
| mod + h             | = | Division in horizontal orientation         |
| mod + v             | = | Division in vertical orientation           |
| mod + r             | = | Resize windows, controlled with arrow keys |
| mod + ñ             | = | Select window on right side                |
| mod + j             | = | Select left side window                    |
| mod + l             | = | Select window up                           |
| mod + k             | = | Select window down                         |
| mod + →             | = | Select right side window                   |
| mod + ←             | = | Select left side window                    |
| mod + ↑             | = | Select window up                           |
| mod + ↓             | = | Select window down                         |
| mod + Shift + 1 - 0 | = | Move a windows to a workspace from 1 to 0  |
| mod + Shift + E     | = | Exit the i3wm environment                  |
| mod + Shift + C     | = | Reload the i3wm environment                |
| mod + Shift + R     | = | Restart the i3wm environment               |
| mod + Shift + Q     | = | close windows                              |
| mod + Shift + Ñ     | = | Move window on right side                  |
| mod + Shift + J     | = | Move left side window                      |
| mod + Shift + L     | = | Move window up                             |
| mod + Shift + K     | = | Move window down                           |
| mod + Shift + →     | = | Move window on right side                  |
| mod + Shift + ←     | = | Move left side window                      |
| mod + Shift + ↑     | = | Move window up                             |
| mod + Shift + ↓     | = | Move window down                           |
| mod + Shift + space | = | Window in floating mode                    |


### Credits

Thanks to all the free software developers and to you Jesús E.
